- name: Deploy the Resource Descriptor to the DaCHS server
  hosts: webservers
  become: true
  tasks:
    - name: Ensure the remote data directory exists
      file:
        path: /var/gavo/inputs/events/data
        owner: dachsroot
        group: gavo
        state: directory

    - name: Copy the data files to the DaCHS server
      become: true
      copy:
        src: ../events/converted_data/all_events.csv
        dest: /var/gavo/inputs/events/data/
        owner: dachsroot
        group: gavo
        mode: 0644
      notify:
        - deploy rd

    - name: Copy the Resource Descriptor to the DaCHS server
      become: true
      copy:
        src: rds/events.rd
        dest: /var/gavo/inputs/events
        owner: dachsroot
        group: gavo
        mode: 0644
      notify:
        - deploy rd

  handlers:
  - name: deploy rd
    become: true
    shell: |
      gavo val /var/gavo/inputs/events/events.rd
      gavo imp /var/gavo/inputs/events/events.rd
